We have a workspace created using Cmd 3.1.1 that is referencing Ext JS 4.2.0 externally (there is no workspace/ext). It has 2 applications, 2 themes, and a bunch of local code packages. Here is the structure

Code:
workspace
    app-a
    app-b
    packages
        package-a
        package-b
        package-c
        ...
        app-a-theme
        app-b-theme
        ext-*
Now we want to upgrade to Cmd 3.1.2 and Ext JS 4.2.1 and not having any luck. Looking at the Cmd reference and release notes, it's not obvious what order this should be done. I've tried all kinds of things and this is a common error:

Sencha Cmd v3.1.2.342
[ERR] null

So what are the steps I need to do to upgrade all the packages and apps for this workspace? Do I have to upgrade each package first, then each app? Do I manually delete all the ext-* packages?